> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve a single webhook

GET https://api.letsdeel.com/rest/webhooks/{id}

Retrieve a single webhook subscription.

 **Token scopes**: `webhooks:read`

Reference: https://developer.deel.com/api/endpoints/webhooks/get-webhook

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `id` (string, required) — Unique identifier of the webhook subscription.

## Response

### 200

successful operation

- `data` (WebhooksIdGetResponsesContentApplicationJsonSchemaData, required) — The webhook subscription.

## Errors

### 400 Bad Request Error

Bad Request. The request could not be understood or was missing required parameters.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

### 401 Unauthorized Error

Unauthorized. Authentication credentials were missing or invalid.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

### 403 Forbidden Error

Forbidden. You do not have permission to access this resource.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

### 404 Not Found Error

Not Found. The requested resource could not be found.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

### 405 Method Not Allowed Error

Method Not Allowed. The HTTP method is not supported for this resource.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

### 429 Too Many Requests Error

Too Many Requests. The rate limit has been exceeded.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

### 500 Internal Server Error

Internal Server Error. An unexpected error occurred.

- `errors` (list of WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems, required) — The list of errors that caused the request to fail.

## Types

### WebhooksIdGetResponsesContentApplicationJsonSchemaData

The webhook subscription.

- `id` (string, required) — Unique identifier of this resource.
- `url` (string, required) — Endpoint to receive webhook.
- `name` (string, required, nullable) — Webhook subscription name.
- `events` (list of string, required) — The list of events to enable for this subscription.
- `status` (enum, required) — Status of webhook.
  - Allowed values: `enabled`, `disabled`
- `created_at` (string, required) — Time at which the webhook was created.
- `updated_at` (string, required) — Time at which the webhook was updated.
- `api_version` (string, required, default: v2) — Deel API version. Currently Deel accepts v1 or v2 version.
- `description` (string, required, nullable) — Webhook subscription description.
- `signing_key` (string, required, nullable) — The webhook's signing key, used to generate webhook signatures.
- `hidden` (boolean, optional, nullable) — Property to hide the webhook from frontend view. Commonly by Deel 3rd party apps
- `internal` (boolean, optional) — Indicates whether the webhook is internal to Deel.
- `deleted_at` (string, optional, nullable) — Time at which the webhook was deleted.

### WebhooksIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `message` (string, required) — Human-readable description of the error.
- `error_code` (string, optional) — Machine-readable error code.

## Examples

**Response**

```json
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "url": "https://mywebhook.com/listening",
    "name": "My webhooks",
    "events": [
      "contract.created"
    ],
    "status": "enabled",
    "created_at": "2024-01-01T12:00:00Z",
    "updated_at": "2024-01-02T12:00:00Z",
    "api_version": "v2",
    "description": "My first webhook",
    "signing_key": "string",
    "hidden": false,
    "internal": false,
    "deleted_at": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/webhooks/00000000-0000-0000-0000-000000000000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```